package edu.unca.cs.csci202;

/**
 *
 * @author J Dean Brock <brock@unca.edu>
 */
public class Point1080 {
    private int x ;
    private int y ;
    
    /**
     * Creates a new point at (0,0)
     * 
     */
    public Point1080() {
        x = 0 ;
        y = 0 ;
    }
    
    /**
     * Creates a new point at (x,y)
     * 
     * @param x The X coordinate for the new point.
     * @param y The Y coordinate for the new point.
     * @throws IllegalArgumentException if x or y is out of range
     */
    public Point1080(int x, int y) throws IllegalArgumentException {
        if (x<0 || 1920<=x || y<0 || 1080<=y) {
            throw new IllegalArgumentException("out of range") ;
        }
        this.x = x ;
        this.y = y ;
    }

    /**
     * Returns the X coordinate of this point.
     * 
     * @return The X coordinate
     */
    public int getX() {
        return x ;
    }

    /**
     * Returns the Y coordinate of this point.
     * 
     * @return The Y coordinate
     */
    public int getY() {
        return y ;
    }

    /**
     * Sets the X coordinate of this point.
     * 
     * @param x New X coordinate
     * @throws IllegalArgumentException if x is negative or greater than 1919
     */
    public void setX(int x) throws IllegalArgumentException {
        if (x<0 || 1920<=x) {
            throw new IllegalArgumentException("out of range") ;
        }
        this.x = x ;
    }
    
    /**
     * Sets the Y coordinate of this point.
     * 
     * @param y New Y coordinate
     * @throws IllegalArgumentException if y is negative or greater than 1079
     */
    public void setY(int y) throws IllegalArgumentException {
        if (y<0 || 1080<=y) {
            throw new IllegalArgumentException("out of range") ;
        }
        this.y = y ;
    }

    /**
     * Returns a printable representation of the point.
     * 
     * @return (X, Y)
     */
    @Override
    public String toString() {
    	return "(" + x + "," + y + ")";
    }
}

